Bug 174579 - spamd init script has no nls messages
spamd init script has no nls messages
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
Blocks: 171491
  Show dependency treegraph
Reported: 2005-11-30 07:52 EST by Rudolf Kastl
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-09 11:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
newrpms-spamassassin-init-nls.patch (1.59 KB, patch)
2005-11-30 07:52 EST, Rudolf Kastl
no flags Details | Diff

  None (edit)
Description Rudolf Kastl 2005-11-30 07:52:23 EST
Created attachment 121633 [details]
Comment 1 Rudolf Kastl 2005-11-30 07:52:23 EST
Description of problem:
spamd init script has no nls messages. patch makes the init script suck a bit
less ;)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start the service
Actual results:
get an english starting/stopping message

Expected results:
nls support

Additional info:
some credits would be sweet
Comment 2 Warren Togami 2005-11-30 23:54:56 EST
I know nothing about this "nls" thing, could you please explain it and how it works?
Comment 3 Rudolf Kastl 2005-12-01 04:56:03 EST
native language support of the init scripts. actually with my changes it shows
the start and stop messages translated as with most other core components that
have init scripts.
Comment 4 Rudolf Kastl 2005-12-01 05:09:56 EST
the answer to how it works is here: /etc/init.d/functions

Comment 5 Rudolf Kastl 2005-12-01 05:21:32 EST
ok to show you how it works exactly. i assume you have en_US set.

open a terminal and do:

. /etc/init.d/functions
export prog="foobar"
echo $"Starting $prog: "
after that you should see the english starting message on your terminal

now lets try it in german :) :
. /etc/init.d/functions
export prog="foobar"
export LC_MESSAGES=de_DE
echo $"Starting $prog: "

explanation enough?
Comment 6 Rudolf Kastl 2005-12-01 05:29:51 EST
what annoys me is that i cant access the bug i block actually... id love to fix
it aswell then. ;)
Comment 7 Warren Togami 2005-12-01 11:41:47 EST
Curious, why is your patch against the older version?
Comment 8 Rudolf Kastl 2005-12-01 12:55:03 EST
cause of this bug:


yumdownloader --source spamassassin

only base repo works correctly.
Comment 9 Warren Togami 2005-12-01 18:53:41 EST
Could you please also report this to spamassassin.apache.org so this can be
fixed in 3.1.x and trunk too?  I could do it, but then I'd steal your credit. =)
Comment 10 Warren Togami 2005-12-01 19:12:30 EST
Fixed in FC5 and a package heading toward RHEL4.  I am considering pushing a
much newer spamassassin-3.1.x based update to FC3/FC4 later this month so
holding off on that for now.

Note You need to log in before you can comment on or make changes to this bug.